Object subclass: #SimNetworkInterface
	instanceVariableNames: 'port serializer '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Sim-Network'!

!SimNetworkInterface methodsFor: 'send/receive' stamp: 'dqn 11/24/2004 19:22'!
process: data from: socket! !

!SimNetworkInterface methodsFor: 'send/receive' stamp: 'dqn 11/27/2004 22:06'!
send: data on: socket
	(data isNil) ifTrue:
	[
		^ self.
	].
	socket sendData: data! !


!SimNetworkInterface methodsFor: 'initialize' stamp: 'dqn 12/1/2004 18:40'!
initialize
	serializer _ MaObjectSerializer new.
	serializer serializeGraph: {SimMessage. RunPersonMessage. MovePersonMessage. Point.}! !


!SimNetworkInterface methodsFor: 'accessor/modifier' stamp: 'dqn 11/27/2004 16:03'!
headerSize
	^ 4.! !

!SimNetworkInterface methodsFor: 'accessor/modifier' stamp: 'dqn 11/27/2004 14:38'!
port
	^ port! !

!SimNetworkInterface methodsFor: 'accessor/modifier' stamp: 'dqn 11/27/2004 14:38'!
port: aPort
	port _ aPort.! !
