Furniture subclass: #BookCase
	instanceVariableNames: 'bookCount '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Content'!

!BookCase methodsFor: 'creation' stamp: 'VU 11/7/2004 16:26'!
initialize
  "Initializes this book case"

  super initialize.

  self description: 'This Book Case is full of interesting and useful books.'.
  self attribute: 'weight' is: 1000.
  bookCount := 10.! !


!BookCase methodsFor: 'accessors' stamp: 'VU 11/7/2004 16:31'!
interactionsFor: anObject
	"Returns a list of interactions possible for the currently selected thing."

	^{}.! !

!BookCase methodsFor: 'accessors' stamp: 'VU 11/7/2004 16:25'!
name
	"Returns the name of this item."
	^ 'Book Case'.! !

!BookCase methodsFor: 'accessors' stamp: 'VU 11/7/2004 16:29'!
viewTextRepresentation
	"Returns an array of strings that can be displayed to screen to give information about the BookCase"

	| retArray |

	retArray := OrderedCollection new.
	retArray add: ('Name: ', self name).

	retArray add: ''.

	retArray add: ('Description: ', self description).

	retArray add: ''.

	retArray add: 'It has ', (bookCount asString), ' books in it.'.

	^retArray.! !
