Item subclass: #Coffee
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Content'!
!Coffee commentStamp: 'ACK 12/1/2004 17:17' prior: 0!
This is an item that makes a person less sleepy when they drink it!


!Coffee methodsFor: 'actions' stamp: 'ACK 12/1/2004 17:10'!
interactionsFor: aWorldObject
	"Returns a list of actions that can be performed on the coffee."

	| actions |

	actions := super interactionsFor: aWorldObject.

	(aWorldObject isKindOf: Person) ifTrue: [
		actions add: (DrinkAction new coffee: self).
	].

	^ actions.! !


!Coffee methodsFor: 'initialization' stamp: 'ACK 12/1/2004 17:15'!
initialize
  "Initializes this coffee"

  super initialize.

  self name: 'Coffee'.
  self description: 'Drink this coffe to become less tired.'.
  self attribute: 'weight' is: 2.! !
