SimAction subclass: #DoNothing
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Content'!
!DoNothing commentStamp: 'ACK 11/5/2004 02:22' prior: 0!
This SimAction has absolutely no effect or action. It is processed just as regular actions.!


!DoNothing methodsFor: 'accessors' stamp: 'VU 11/6/2004 15:32'!
name
  "Returns the name of the action."
  ^ 'Nothing'.! !


!DoNothing methodsFor: 'creation' stamp: 'ACK 10/30/2004 14:52'!
initialize
	"Set the factors that this action affects"

	super initialize.
! !


!DoNothing methodsFor: 'as yet unclassified' stamp: 'ACK 12/1/2004 16:38'!
doAction: aPerson
	"Do nothing but you still get a little more tired and hungry"

	
	((aPerson factor: 'sleep') = 'Error: Factor Does not Exist') ifTrue: [
	aPerson factor: 'sleep' is: 0].

	((aPerson factor: 'hungry') = 'Error: Factor Does not Exist') ifTrue: [
	aPerson factor: 'hungry' is: 0].

	aPerson factor: 'sleep' is: ((aPerson factor: 'sleep') + 1).
	aPerson factor: 'hungry' is: ((aPerson factor: 'hungry') + 2).
	
	^self.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

DoNothing class
	instanceVariableNames: ''!

!DoNothing class methodsFor: 'as yet unclassified' stamp: 'ACK 10/30/2004 14:51'!
new
 	"create"
	
	^super new initialize.
! !
