SimAction subclass: #EatAction
	instanceVariableNames: 'food '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Content'!
!EatAction commentStamp: 'ACK 12/1/2004 17:18' prior: 0!
This is how a person eats food.!


!EatAction methodsFor: 'accessors' stamp: 'ACK 12/1/2004 17:11'!
food
  "Returns the food that we want to eat."
  ^ food.! !

!EatAction methodsFor: 'accessors' stamp: 'ACK 12/1/2004 17:12'!
food: aFood
  "Sets the food to eat."
  food := aFood.! !

!EatAction methodsFor: 'accessors' stamp: 'ACK 12/1/2004 17:12'!
name
  "Returns the name of the action."
  ^ 'Eat food'.! !

!EatAction methodsFor: 'accessors' stamp: 'JMC 12/2/2004 00:25'!
object
  "Returns the food that we want to eat."
  ^ self food.! !


!EatAction methodsFor: 'actions' stamp: 'VU 12/2/2004 03:52'!
doAction: aPerson
  	"Performs the action on the person."

	((aPerson factor: 'hungry') = 'Error: Factor Does not Exist') ifTrue: [
		aPerson factor: 'hungry' is: 0].
  	

	aPerson factor: 'hungry' is: ((aPerson factor: 'hungry') - 200).

	aPerson setAction: (DoNothing new).

	aPerson location removeWorldObject: self object.! !
