PortalAction subclass: #ExitAction
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Content'!
!ExitAction commentStamp: 'ACK 11/5/2004 02:22' prior: 0!
This SimAction makes a person use a portal.!


!ExitAction methodsFor: 'accessors' stamp: 'VU 11/6/2004 15:33'!
name
  "Returns the name of the action"
  ^ 'Exit'.! !


!ExitAction methodsFor: 'actions' stamp: 'VU 11/6/2004 15:26'!
doAction: aWorldObject
	"applies the effects of the action to the persons factors and causes the action to occur"

	(effects) do: [:effect |
		aWorldObject addPersonalEffect: effect].

	"Move to new location"
	aWorldObject moveToLocation: self portal location.

	"Done with this action"
	aWorldObject setAction: (DoNothing new).

	"If this person is currently selected, then it shouldn't be any more."
	aWorldObject isCurrentlySelected ifTrue: [ GameEngine instance currentPerson: nil. ].! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

ExitAction class
	instanceVariableNames: ''!

!ExitAction class methodsFor: 'as yet unclassified' stamp: 'ACK 10/30/2004 21:55'!
new
 	"create"
	
	^super new initialize.
! !
