SimMessage subclass: #CreatePersonMessage
	instanceVariableNames: 'pname gender major coordinates stereotype '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Message'!
!CreatePersonMessage commentStamp: 'dqn 11/7/2004 00:43' prior: 0!
This is a message to the game engine that tells it to create a new person.!


!CreatePersonMessage methodsFor: 'access' stamp: 'VU 10/30/2004 23:43'!
coordinates
  ^ coordinates! !

!CreatePersonMessage methodsFor: 'access' stamp: 'VU 10/30/2004 23:40'!
gender
  ^ gender! !

!CreatePersonMessage methodsFor: 'access' stamp: 'VU 11/7/2004 15:33'!
major
	"Returns the person's major."
	^ major.! !

!CreatePersonMessage methodsFor: 'access' stamp: 'VU 10/30/2004 23:53'!
pname
  ^ pname.! !

!CreatePersonMessage methodsFor: 'access' stamp: 'VU 11/7/2004 19:30'!
stereotype
	"Returns the stereotype used for the person"

	^ stereotype.! !


!CreatePersonMessage methodsFor: 'modify' stamp: 'VU 10/30/2004 23:43'!
coordinates: aPoint
  coordinates := aPoint.! !

!CreatePersonMessage methodsFor: 'modify' stamp: 'VU 10/30/2004 23:40'!
gender: aString
  gender := aString.! !

!CreatePersonMessage methodsFor: 'modify' stamp: 'VU 11/7/2004 15:34'!
major: aString
	"Sets the person's major."
	major := aString.! !

!CreatePersonMessage methodsFor: 'modify' stamp: 'VU 10/30/2004 23:53'!
pname: aString
  pname := aString.! !

!CreatePersonMessage methodsFor: 'modify' stamp: 'VU 11/7/2004 19:30'!
stereotype: aStereotype
	"Sets the stereotype used for the person"

	stereotype := aStereotype.! !


!CreatePersonMessage methodsFor: 'process' stamp: 'VU 11/7/2004 19:43'!
process
  
  | person |

  person := Person new.
  person name: self pname.
  person gender: self gender.
  person attribute: 'major' is: self major.

  self stereotype ifNotNil: [
    person applyAttributes: self stereotype attributes.
  ].

  GameEngine instance currentLocation addWorldObject: person at: self coordinates x at: self coordinates y.! !
