SimMessage subclass: #DropItemMessage
	instanceVariableNames: 'item '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Message'!
!DropItemMessage commentStamp: 'dqn 11/7/2004 00:44' prior: 0!
This is a message to the game engine that tells it that the person (message's owner) now wants to drop ant item.!


!DropItemMessage methodsFor: 'access' stamp: 'VU 11/6/2004 18:23'!
name
  "Returns the name of the message"
  ^ 'Drop ', item name.! !


!DropItemMessage methodsFor: 'initialize' stamp: 'dqn 11/7/2004 19:09'!
item
	^ item.! !

!DropItemMessage methodsFor: 'initialize' stamp: 'dqn 10/29/2004 19:47'!
item: aItem
	"set the item that the person will pickup"
	item _ aItem.! !


!DropItemMessage methodsFor: 'process' stamp: 'dqn 10/29/2004 19:48'!
process
	owner dropItem: item.! !
