TestCase subclass: #ThingTest
	instanceVariableNames: 'myThing '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Model-Test'!
!ThingTest commentStamp: 'ACK 11/5/2004 02:03' prior: 0!
Test the basic functionality of a Thing.!


!ThingTest methodsFor: 'tests' stamp: 'ACK 11/2/2004 17:11'!
setUp
	"setting up a thing for testing."

	myThing := Thing new.
! !

!ThingTest methodsFor: 'tests' stamp: 'ACK 11/2/2004 17:14'!
testDescription
	"making sure this works for output to screen and setting"

	self assert: myThing description = nil.

	myThing description: 'Hello World'.

	self assert: myThing description = 'Hello World'.

	self deny: myThing description = 'Testing blows'.! !

!ThingTest methodsFor: 'tests' stamp: 'ACK 11/2/2004 17:19'!
testWriteXML
	"This function is tested indirectly for all classes that use it.  It is used to write out some of  the situations that are loaded for testing.  Since the situations are loaded correctly and those tests work, it can be assumed the that the situations were written out correctly."! !
