Object subclass: #Effect
	instanceVariableNames: 'factors '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Model'!
!Effect commentStamp: 'VU 9/27/2004 10:21' prior: 0!
The effect class implements the functionality of different effects of rooms, objects and people on other people.!


!Effect methodsFor: 'accessors' stamp: 'JMC 9/26/2004 13:58'!
effects
	"Get all the effects the instantiation of this effect holds"
	
	^factors.! !


!Effect methodsFor: 'xml' stamp: 'ACK 10/29/2004 22:32'!
writeXML: xmlWriter
	"writes xml for an effect"

	xmlWriter startTag: 'effect'. "open tag Effect"
     xmlWriter attribute: 'type' value: self class name.
	xmlWriter endTag.

	"writing factors"
	xmlWriter startTag: 'factors'; endTag.
	WorldObject xmlizeDictionary: factors using: xmlWriter tagged: 'factor'.
	xmlWriter endTag: 'factors'.

	xmlWriter endTag: 'effect'.

	! !


!Effect methodsFor: 'creation' stamp: 'JMC 9/27/2004 12:32'!
initialize
  	"Initializes the effect."
	
 	factors := Dictionary new.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Effect class
	instanceVariableNames: ''!

!Effect class methodsFor: 'instance creation' stamp: 'VU 9/27/2004 00:25'!
new
  "Creates and initializes a new effect."

  ^ super new initialize.! !
