Immovable subclass: #Furniture
	instanceVariableNames: 'type '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Model'!

!Furniture methodsFor: 'creation' stamp: 'ACK 10/29/2004 20:41'!
initialize
	"create an immovable"

	^super initialize.! !


!Furniture methodsFor: 'xml' stamp: 'ACK 10/29/2004 20:50'!
writeXML: xmlWriter
	"Writes XML for Item"

	xmlWriter startTag: self tagName.

	xmlWriter attribute: 'type' value: (self type asString).
	xmlWriter attribute: 'description' value: (self description asString).
	xmlWriter endTag.

	"Write Attributes"
     xmlWriter startTag: 'attributes'; endTag.
     WorldObject xmlizeDictionary: attributes using: xmlWriter tagged: 'attribute'.
     xmlWriter endTag: 'attributes'.

	"Write Class Effects"
	effectBag do:
		[:curr | curr writeXML: xmlWriter].

	
	xmlWriter endTag: self tagName. "Close the tag </Item> and return"! !


!Furniture methodsFor: 'modifiers' stamp: 'ACK 10/29/2004 20:43'!
type: furnitureType
	"Sets the type of furniture"

	type := furnitureType.! !


!Furniture methodsFor: 'accessors' stamp: 'ACK 10/29/2004 20:42'!
type
	"Returns the type of furniture"

	^type.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Furniture class
	instanceVariableNames: ''!

!Furniture class methodsFor: 'as yet unclassified' stamp: 'ACK 10/29/2004 20:41'!
new

	^super new initialize.! !
