SimAction subclass: #PortalAction
	instanceVariableNames: 'portal '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Model'!
!PortalAction commentStamp: 'VU 11/6/2004 18:12' prior: 0!
This is an abstract action that has something to do with portals. Like locking, unlocking, going through, etc.!


!PortalAction methodsFor: 'accessors' stamp: 'dqn 11/22/2004 18:38'!
object
	^ portal.! !

!PortalAction methodsFor: 'accessors' stamp: 'VU 11/6/2004 18:13'!
portal
  "Returns the portal that this action pertains to."
  ^portal.! !

!PortalAction methodsFor: 'accessors' stamp: 'VU 11/6/2004 18:13'!
portal: aPortal
  "Sets the portal that will be be affected by this action."
  portal := aPortal.! !
