Object subclass: #Stereotype
	instanceVariableNames: 'attributes '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Model'!
!Stereotype commentStamp: 'VU 11/7/2004 19:00' prior: 0!
This is a stereotype. Every person is some stereotype, and that's what their attributes are affected by.!


!Stereotype methodsFor: 'accessing' stamp: 'VU 11/7/2004 19:28'!
attributes
	"Returns the dictionary of available attributes."
	^ attributes.! !


!Stereotype methodsFor: 'default' stamp: 'VU 11/7/2004 19:22'!
baseValue
	"Returns the base value for all attributes"
	^ 10.! !


!Stereotype methodsFor: 'initialization' stamp: 'VU 11/7/2004 19:23'!
initialize
	"Initializes stuff"

	attributes := Dictionary new.
	attributes at: 'intelligence' put: self baseValue.
	attributes at: 'looks' put: self baseValue.
	attributes at: 'fitness' put: self baseValue.
	attributes at: 'neatness' put: self baseValue.
	attributes at: 'seriousness' put: self baseValue.
! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Stereotype class
	instanceVariableNames: ''!

!Stereotype class methodsFor: 'instance creation' stamp: 'VU 11/7/2004 19:20'!
new

	^ super new initialize.! !
