IsometricLayout subclass: #StaggeredLayout
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-View'!

!StaggeredLayout methodsFor: 'layout' stamp: 'VU 10/28/2004 19:54'!
morphCoordinatesFor: aPoint withTileDimensions: aDimension
  "Given the desired map coordinates of the morph, and the width of the tile, "
  "this will return the real coordinates where the tile should be put assuming"
  "that the map starts at coordinates (0@0) in the top-left corner."

  | x y |

  x := ((aPoint x) * (aDimension x)) + (((aPoint y) \\ 2) * ((aDimension x) // 2)).
  y := (aPoint y) * ((aDimension y) // 2).

  ^ x@y.! !
