ThreePhaseButtonMorph subclass: #UpdatingThreePhaseButtonMorph
	instanceVariableNames: 'getSelector getArgument '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Vladimir-Utilities'!

!UpdatingThreePhaseButtonMorph methodsFor: 'as yet unclassified' stamp: 'sw 3/8/1999 13:50'!
getSelector: sel
	getSelector _ sel! !


!UpdatingThreePhaseButtonMorph methodsFor: 'button' stamp: 'bf 10/8/1999 15:08'!
doButtonAction
	"Since the action likely changes our state, do a step so we're updated immediately"
	super doButtonAction.
	self step
! !


!UpdatingThreePhaseButtonMorph methodsFor: 'event handling' stamp: 'bf 10/14/1999 21:11'!
mouseUp: evt
	"Since mouseUp likely changes our state, do a step so we're updated immediately"
	super mouseUp: evt.
	self step! !



!UpdatingThreePhaseButtonMorph methodsFor: 'testing' stamp: 'sw 3/8/1999 13:50'!
wantsSteps
	^ true! !


!UpdatingThreePhaseButtonMorph methodsFor: 'relocated from all category' stamp: 'sbw 3/3/2002 12:04'!
getNewBoolean
	^ target perform: getSelector! !

!UpdatingThreePhaseButtonMorph methodsFor: 'relocated from all category' stamp: 'sbw 3/3/2002 12:05'!
step
	| newBoolean |
	super step.
	state == #pressed
		ifTrue: [^ self].
	newBoolean _ self getNewBoolean.
	newBoolean == self isOn
		ifFalse: [self
				state: (newBoolean == true
						ifTrue: [#on]
						ifFalse: [#off])]! !
