SimNetworkInterface subclass: #SimClient
	instanceVariableNames: 'socket socketManager running serverAddress '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Sim-Network'!

!SimClient methodsFor: 'connect' stamp: 'dqn 11/27/2004 14:51'!
start
	socket _ Socket new.
	socket connectTo: serverAddress port: port.

	socketManager _ SimSocketManager new initialize.
	socketManager socket: socket.
	socketManager networkInterface: self.
	socketManager start.
! !

!SimClient methodsFor: 'connect' stamp: 'dqn 11/27/2004 14:39'!
stop
	socketManager running: false.! !


!SimClient methodsFor: 'send/receive' stamp: 'dqn 12/1/2004 21:49'!
process: data from: aSocket
"	|object buffer bufferSize realSize|
	bufferSize _ data size.
	buffer _ ByteArray new: bufferSize.
	buffer
		replaceFrom: 1
		to: bufferSize
		with: data
		startingAt: 1.

	realSize _ buffer maUint: 32 at: 0.
	(realSize <= 0) ifTrue:
	[
		^ self.
	].
	buffer _ buffer copyFrom: self headerSize + 1 to: realSize.

	serializer resetOidManager.
	object _ serializer materializeGraph: buffer."
	GameEngine instance fireGameMessage: (GameEngine instance decode: data).
	Transcript show: 'Client got: ', data; cr.! !

!SimClient methodsFor: 'send/receive' stamp: 'dqn 12/1/2004 21:43'!
send: data
	|buffer bufferSize toSend|
	serializer resetOidManager.

	"convert the object into buffer"
"	buffer _ (serializer serializeGraph: data) trimmedByteArray. "

	"wrap the buffer"
"	bufferSize _ buffer size.
	toSend _ ByteArray new: (self headerSize + bufferSize).

	toSend
		replaceFrom: self headerSize + 1
		to: self headerSize + bufferSize
		with: buffer
		startingAt: 1.

	toSend
		maUint: 32
		at: 0
		put: self headerSize + bufferSize.

	self send: toSend on: socketManager socket."
	self send: data on: socketManager socket.! !


!SimClient methodsFor: 'accessor/modifier' stamp: 'dqn 11/27/2004 14:36'!
serverAddress
	^ serverAddress.! !

!SimClient methodsFor: 'accessor/modifier' stamp: 'dqn 11/27/2004 14:36'!
serverAddress: aAddress
	serverAddress _ aAddress.! !


!SimClient methodsFor: 'initialize' stamp: 'dqn 11/27/2004 14:50'!
initialize
	super initialize.! !
