SimNetworkInterface subclass: #SimServer
	instanceVariableNames: 'serverSocket socketManagers running '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Sim-Network'!

!SimServer methodsFor: 'as yet unclassified' stamp: 'dqn 11/27/2004 14:31'!
initialize
	super initialize.
	running _ true.
	socketManagers _ OrderedCollection new.! !


!SimServer methodsFor: 'connect' stamp: 'dqn 12/1/2004 22:02'!
start
	|aProcess|
	serverSocket _ Socket new.
	serverSocket listenOn: port backlogSize: 1000.
	aProcess _
	[
		[running] whileTrue: 
		[
			| socket socketManager| 
			socket _ serverSocket waitForAcceptFor: 1000 ifTimedOut: [nil]. 
			(socket isNil) ifFalse: 
			[
				Transcript show: 'Client connected.'; cr.

				socketManager _ SimSocketManager new initialize.
				socketManager socket: socket.
				socketManager networkInterface: self.
				socketManagers add: socketManager.
				socketManager start.
			]
		]
	] newProcess.
	aProcess resume.
! !

!SimServer methodsFor: 'connect' stamp: 'dqn 11/24/2004 22:17'!
stop
	(socketManagers) do:
	[
		: socketManager |
		socketManager running: false.
	].
	running _ false.
	socketManagers _ nil.! !


!SimServer methodsFor: 'send/receive' stamp: 'dqn 11/24/2004 22:00'!
broadcast: data
	(socketManagers) do:
	[
		: socketManager |
		socketManager send: data.
	].! !

!SimServer methodsFor: 'send/receive' stamp: 'dqn 12/1/2004 20:32'!
process: data from: socket
	Transcript show: 'Dude, I got something'.
	self broadcast: data.! !
