Object subclass: #SimSocketManager
	instanceVariableNames: 'socket running networkInterface '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Sim-Network'!

!SimSocketManager methodsFor: 'as yet unclassified' stamp: 'dqn 11/24/2004 17:26'!
initialize
	running _ true.
	buffer _ String new: 30000.! !

!SimSocketManager methodsFor: 'as yet unclassified' stamp: 'dqn 11/24/2004 17:08'!
networkInterface: aNetworkInterface
	networkInterface _ aNetworkInterface.! !

!SimSocketManager methodsFor: 'as yet unclassified' stamp: 'dqn 11/24/2004 16:55'!
running
	^ running! !

!SimSocketManager methodsFor: 'as yet unclassified' stamp: 'dqn 11/24/2004 16:55'!
running: isRunning
	running _ isRunning.! !

!SimSocketManager methodsFor: 'as yet unclassified' stamp: 'dqn 11/24/2004 17:04'!
socket
	^ socket! !

!SimSocketManager methodsFor: 'as yet unclassified' stamp: 'dqn 11/24/2004 17:04'!
socket: aSocket
	socket _ aSocket.! !

!SimSocketManager methodsFor: 'as yet unclassified' stamp: 'dqn 11/24/2004 21:58'!
start
	|aProcess data  |
	aProcess _ 
	[
		[running] whileTrue:
		[
			data _ self receive.
			(data isNil) ifFalse:
			[
				networkInterface process: data from: socket.
			].
		].
	] newProcess.
	aProcess resume.! !


!SimSocketManager methodsFor: 'nil' stamp: 'dqn 11/24/2004 17:08'!
networkInterface
	^ networkInterface! !


!SimSocketManager methodsFor: 'send/receive' stamp: 'dqn 11/24/2004 17:38'!
receive
	|size|
	size _ socket receiveDataTimeout: 10000 into: buffer.
	(size = 0) ifTrue:
	[
		^ nil.
	].
	^ (buffer copyFrom: 1 to: size).! !

!SimSocketManager methodsFor: 'send/receive' stamp: 'dqn 11/24/2004 21:57'!
send: data
	socket sendData: data.! !
