Item subclass: #Book
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Content'!

!Book methodsFor: 'actions' stamp: 'VU 11/7/2004 12:57'!
interactionsFor: aWorldObject
	"Returns a list of actions that can be performed on the book."

	| actions |

	actions := super interactionsFor: aWorldObject.

	(aWorldObject isKindOf: Person) ifTrue: [
		actions add: (ReadAction new book: self).
	].

	^ actions.! !


!Book methodsFor: 'initialization' stamp: 'VU 11/6/2004 14:43'!
initialize
  "Initializes this book"

  super initialize.

  self name: 'Book'.
  self description: 'This book can be read to gain some knowledge.'.
  self attribute: 'weight' is: 5.! !
