SimAction subclass: #DrinkAction
	instanceVariableNames: 'coffee '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Content'!
!DrinkAction commentStamp: 'ACK 12/1/2004 17:00' prior: 0!
This is how a person drinks a Coffee.!


!DrinkAction methodsFor: 'accessors' stamp: 'ACK 12/1/2004 17:02'!
coffee
  "Returns the coffee that we want to drink."
  ^ coffee.! !

!DrinkAction methodsFor: 'accessors' stamp: 'ACK 12/1/2004 17:03'!
coffee: aCoffee
  "Sets the coffee to drink."
  coffee := aCoffee.! !

!DrinkAction methodsFor: 'accessors' stamp: 'ACK 12/1/2004 17:03'!
name
  "Returns the name of the action."
  ^ 'Drink coffee'.! !

!DrinkAction methodsFor: 'accessors' stamp: 'JMC 12/2/2004 00:25'!
object
  "Returns the coffee that we want to drink."
  ^ self coffee.! !


!DrinkAction methodsFor: 'actions' stamp: 'VU 12/2/2004 03:51'!
doAction: aPerson
  	"Performs the action on the person."

	((aPerson factor: 'sleep') = 'Error: Factor Does not Exist') ifTrue: [
		aPerson factor: 'sleep' is: 0].
  	

	aPerson factor: 'sleep' is: ((aPerson factor: 'sleep') - 150).

	aPerson setAction: (DoNothing new).

	aPerson location removeWorldObject: self object.! !
