Item subclass: #Food
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Content'!
!Food commentStamp: 'ACK 12/1/2004 17:17' prior: 0!
This item can be eaten to become less tired.!


!Food methodsFor: 'actions' stamp: 'ACK 12/1/2004 17:16'!
interactionsFor: aWorldObject
	"Returns a list of actions that can be performed on the food."

	| actions |

	actions := super interactionsFor: aWorldObject.

	(aWorldObject isKindOf: Person) ifTrue: [
		actions add: (EatAction new food: self).
	].

	^ actions.! !


!Food methodsFor: 'initialization' stamp: 'ACK 12/1/2004 17:14'!
initialize
  "Initializes this food"

  super initialize.

  self name: 'Food'.
  self description: 'This food can be eaten to satisfy hunger.'.
  self attribute: 'weight' is: 2.! !
