Interaction subclass: #InteractTalk
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Content'!
!InteractTalk commentStamp: 'ACK 11/5/2004 02:23' prior: 0!
This SimAction effects a person's factors b/c he is talking to another person.!


!InteractTalk methodsFor: 'creation' stamp: 'JMC 11/6/2004 18:44'!
initialize
	"Setting up what will happen to peoples' factors when they talk"

	"TODO: add better effects"

	super initialize.
! !


!InteractTalk methodsFor: 'actions' stamp: 'JMC 12/2/2004 01:45'!
doAction: aPerson
	"This will move the person to the otherPerson to talk, modifying both people's effects"

	| talkeeCoord moveTo "moveMessage" |	

	talkeeCoord := (self otherPerson) coordinates.

	moveTo := (self otherPerson) location findEmptySpotAround: (talkeeCoord x) and: (talkeeCoord y).

	moveTo isNil ifTrue: [
		"TODO: Add user seeable message explaining the problem"
		^self.
	].

	"-------------------------------------------------------"
	"TODO: Add way to make this work	      "
	"moveMessage := MovePersonMessage new."

	"moveMessage coordinates: moveTo."
	"moveMessage location: (talkee location)."

	"GameEngine instance fireKernelMessage: moveMessage."

	"--------------------------------------------------------"
	"Ensure that talking to yourself doesn't directly modify attributes"
	(aPerson = self) ifTrue: [
		^self.
	].	

	aPerson effects do: [:effect|
		(self otherPerson) addPersonalEffect: effect.
	]. 	

	aPerson setAction: (DoNothing new).
		! !


!InteractTalk methodsFor: 'accessors' stamp: 'JMC 11/6/2004 19:09'!
name
	"Print the Name"

	^'Talk'! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

InteractTalk class
	instanceVariableNames: ''!

!InteractTalk class methodsFor: 'as yet unclassified' stamp: 'ACK 10/30/2004 14:11'!
new
	"create"

	^super new initialize.! !
