Furniture subclass: #Shaft
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Content'!
!Shaft commentStamp: 'VU 12/2/2004 02:05' prior: 0!
This is the shaft. Also know as the Campanile.!


!Shaft methodsFor: 'accessors' stamp: 'VU 12/2/2004 02:11'!
interactionsFor: anObject
	"Returns a list of interactions possible for the currently selected thing."

	| vact |

	(anObject isKindOf: Person) ifTrue: [
		vact := ViewAction new.
		vact object: self.

		^ OrderedCollection with: vact.
	] ifFalse: [
		^{}.
	].! !

!Shaft methodsFor: 'accessors' stamp: 'VU 12/2/2004 02:12'!
name
	"Returns the name of this item."
	^ 'The Campanile'.! !

!Shaft methodsFor: 'accessors' stamp: 'VU 12/2/2004 02:12'!
viewTextRepresentation
	"Returns an array of strings that can be displayed to screen to give information about the BookCase"

	| retArray |

	retArray := OrderedCollection new.
	retArray add: ('Name: ', self name).

	retArray add: ''.

	retArray add: ('Description: ', self description).

	^retArray.! !


!Shaft methodsFor: 'creation' stamp: 'VU 12/2/2004 02:07'!
initialize
  "Initializes this book case"

  super initialize.

  self description: 'This is the Campanile. It is pleasant to the eye, and soothing for the soul.'.
  self attribute: 'weight' is: 1000.! !
