Object subclass: #MessageFactory
	instanceVariableNames: ''
	classVariableNames: 'Instance '
	poolDictionaries: ''
	category: 'SimTech-Message'!
!MessageFactory commentStamp: 'dqn 11/7/2004 00:46' prior: 0!
This class is not used.

The MessageFactory is a factory of messages.  It makes the messages used to
communicate to the GameEngine that attention is to be paid to matters
of urgency dictated by the messages.

The MessageFactory has no other functionality beyond birthing messages.!


!MessageFactory methodsFor: 'message birthing' stamp: 'JMC 10/22/2004 19:46'!
makeMessage
	"Create a message"

	! !

!MessageFactory methodsFor: 'message birthing' stamp: 'JMC 10/22/2004 19:47'!
makeMessage: message
	"Create a message"

	! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

MessageFactory class
	instanceVariableNames: ''!

!MessageFactory class methodsFor: 'Singletonness' stamp: 'JMC 10/29/2004 18:42'!
delete
	"This will delete the current instance of the Singleton, this is primarily for debugging"

	^(Instance := nil).

	! !

!MessageFactory class methodsFor: 'Singletonness' stamp: 'JMC 10/29/2004 22:30'!
instance
	"Return the current instance of the Singleton"

	Instance isNil ifTrue: [ Instance := super new. ].

	^Instance.
! !

!MessageFactory class methodsFor: 'Singletonness' stamp: 'JMC 10/29/2004 18:42'!
new
	"This should never be called due to the Singleton design pattern"

	^self error: 'Singletons cannot be instantiated, use initialize instead'.
! !
