SimMessage subclass: #PickupItemMessage
	instanceVariableNames: 'item '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Message'!
!PickupItemMessage commentStamp: 'dqn 11/7/2004 00:48' prior: 0!
This is a message to the game engine that tells it that the person (message's owner) now wants to pick up an item.!


!PickupItemMessage methodsFor: 'process' stamp: 'dqn 11/22/2004 18:05'!
process
	"will make the Person owner pick up an item"
	((owner finalMessage isNil not) and: [(owner finalMessage == self) not]) ifTrue:
	[
		^ self.
	].
	(self == owner finalMessage) ifTrue:
	[
		Transcript show: 'In PickupItemMessage: About to reassign finalMessage'; cr.
	].
	owner finalMessage: self.
	owner pickupItem: item.! !


!PickupItemMessage methodsFor: 'intialize' stamp: 'dqn 10/29/2004 19:32'!
item: aItem
	"set the item that the person will pickup"
	item _ aItem.! !


!PickupItemMessage methodsFor: 'as yet unclassified' stamp: 'dqn 11/7/2004 19:22'!
item
	^ item.! !
