CriticalMessage subclass: #SwitchSimulationStateMessage
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Message'!
!SwitchSimulationStateMessage commentStamp: 'VU 11/18/2004 01:28' prior: 0!
When the game engine executes this message, its running state will be switched. That is, the game engine is running, it will stop, and if the game engine is not running, then it will resume.!


!SwitchSimulationStateMessage methodsFor: 'access' stamp: 'VU 11/18/2004 01:32'!
name
	"Returns the name of the message."
	^(GameEngine instance isRunning)
		ifTrue: [ 'Stop Simulation' ]
		ifFalse: [ 'Start Simulation' ].! !


!SwitchSimulationStateMessage methodsFor: 'process' stamp: 'VU 11/18/2004 01:34'!
process
	"Will switch the running state of the game engine."
	GameEngine instance isRunning
		ifTrue: [ GameEngine stop. ]
		ifFalse: [ GameEngine start. ].! !
