TestCase subclass: #ItemTest
	instanceVariableNames: 'item '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Model-Test'!
!ItemTest commentStamp: 'ACK 11/5/2004 02:02' prior: 0!
Test the basic functionality of an Item.!


!ItemTest methodsFor: 'testing' stamp: 'ACK 11/2/2004 16:25'!
setUp
	"Setup an Item for testing"

	item := Item new.

	item name: 'bookbag'.! !

!ItemTest methodsFor: 'testing' stamp: 'ACK 11/2/2004 16:30'!
testInteractionsFor
	"See if it works!!!!!!"
	
	self assert: (item interactionsFor: (Person new)) size > 0.
	self deny: (item interactionsFor: (Item new)) size > 0.
! !

!ItemTest methodsFor: 'testing' stamp: 'ACK 11/2/2004 16:48'!
testViewTextRepresentation
	"this is what helps the view show attributes and properties""

	item attribute: 'hello' is: 10.
	item description: 'testing...'.
	
 	self assert: (item viewTextRepresentation = item viewTextRepresentation).

	self deny: (item viewTextRepresentation = nil).









































































"
! !

!ItemTest methodsFor: 'testing' stamp: 'ACK 11/2/2004 17:20'!
testWriteXML
	"This function is tested indirectly for all classes that use it.  It is used to write out some of  the situations that are loaded for testing.  Since the situations are loaded correctly and those tests work, it can be assumed the that the situations were written out correctly."! !
