Thing subclass: #Movable
	instanceVariableNames: 'isDeletable '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Model'!
!Movable commentStamp: 'ACK 11/5/2004 02:13' prior: 0!
Moveable is just an empty template for other classes to extend from.  

Moveable objects are those which can be picked up by People and removed from Rooms and brought to other Rooms.!


!Movable methodsFor: 'modifiers' stamp: 'ACK 10/29/2004 19:29'!
isDeletable: deletable
	"sets deletability"

	isDeletable := deletable.! !


!Movable methodsFor: 'accessors' stamp: 'ACK 10/29/2004 19:28'!
isDeletable
	"Returns whether or not this thing is deletable"

	^isDeletable.! !


!Movable methodsFor: 'creation' stamp: 'ACK 10/29/2004 19:42'!
initialize
	"create the movable"

	super initialize.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Movable class
	instanceVariableNames: ''!

!Movable class methodsFor: 'as yet unclassified' stamp: 'ACK 10/29/2004 19:34'!
new
	"create and instance"

	^super new initialize.! !
