TestCase subclass: #FileChooserTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-Utilities-Test'!
!FileChooserTest commentStamp: 'dqn 11/7/2004 17:09' prior: 0!
Test FileChooser!


!FileChooserTest methodsFor: 'class methods' stamp: 'dqn 11/7/2004 16:49'!
testCaller
	|anObject|
	FileChooser caller: nil.
	self assert: (FileChooser caller isNil).

	anObject _ Object new.
	FileChooser caller: anObject.
	self deny: (FileChooser caller isNil).
	self assert: (FileChooser caller == anObject).! !

!FileChooserTest methodsFor: 'class methods' stamp: 'dqn 11/7/2004 17:10'!
testDirectory
	"directory can only be tested if a GUI popup"
	self assert: (1 = 1).! !

!FileChooserTest methodsFor: 'class methods' stamp: 'dqn 11/7/2004 17:21'!
testItemsForFile
	"test itemsForFile:"
	| fileChooser actions|
	fileChooser _ FileChooser new.
	actions _ fileChooser itemsForFile: 'heck.sav'.
	self deny: (actions isNil).
	self assert: (actions size = 1).
	! !

!FileChooserTest methodsFor: 'class methods' stamp: 'dqn 11/7/2004 17:22'!
testItemsForNoFile
	"test itemsForNoFile:"
	| fileChooser actions|
	fileChooser _ FileChooser new.
	actions _ fileChooser itemsForNoFile.
	self deny: (actions isNil).
	self assert: (actions size = 3).
	! !

!FileChooserTest methodsFor: 'class methods' stamp: 'dqn 11/7/2004 17:24'!
testLoadGame
	"loadGame can only be tested GUI"
	self assert: (1 = 1).	! !

!FileChooserTest methodsFor: 'class methods' stamp: 'dqn 11/7/2004 16:51'!
testSelectedFile
	|anObject|
	FileChooser selectedFile: nil.
	self assert: (FileChooser selectedFile isNil).

	anObject _ Object new.
	FileChooser selectedFile: anObject.
	self deny: (FileChooser selectedFile isNil).
	self assert: (FileChooser selectedFile == anObject).! !

!FileChooserTest methodsFor: 'class methods' stamp: 'dqn 11/7/2004 17:09'!
testSelectedMenu
	"selectedMenu can only be tested if a GUI popup"
	self assert: (1 = 1).
! !

!FileChooserTest methodsFor: 'class methods' stamp: 'dqn 11/7/2004 17:25'!
testServiceLoadGame
	|service|

	service _ FileChooser new serviceLoadGame.

	self deny: (service isNil).
	self assert: (service isKindOf: SimpleServiceEntry).! !

!FileChooserTest methodsFor: 'class methods' stamp: 'dqn 11/7/2004 16:52'!
testSuffix
	|anObject|
	FileChooser suffix: nil.
	self assert: (FileChooser suffix isNil).

	anObject _ Object new.
	FileChooser suffix: anObject.
	self deny: (FileChooser suffix isNil).
	self assert: (FileChooser suffix == anObject).! !
