'From Squeak3.6 of ''6 October 2003'' [latest update: #5429] on 2 December 2004 at 4:47:05 am'!
Object subclass: #Loader
	instanceVariableNames: ''
	classVariableNames: 'Instance '
	poolDictionaries: ''
	category: 'SimTech-Utilities'!
!Loader commentStamp: 'dqn 11/7/2004 00:39' prior: 0!
Will open a FileChooser, wait for user's selection and start the selected game.
To use:
The feature is already included in the game. To use it seperately: Loader instance open.!


!Loader methodsFor: 'as yet unclassified' stamp: 'dqn 11/7/2004 03:10'!
open
	"Set some default setting and open the loader"
	FileChooser caller: self.
	FileChooser suffix: 'sav'.
	FileChooser open! !

!Loader methodsFor: 'as yet unclassified' stamp: 'JMC 12/2/2004 04:43'!
processFileName: fileName 
	"Load the whole thing"
	| rr |
	rr _ ReferenceStream fileNamed: fileName.
	
	GameEngine stop.
	GameEngine delete.
	GameEngine instance: rr next.
     GameEngine instance reinit.	

	rr close.
	UIManager restart.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Loader class
	instanceVariableNames: ''!

!Loader class methodsFor: 'as yet unclassified' stamp: 'dqn 11/7/2004 03:07'!
instance
	"Create or return the only instance of the Loader"
	(Instance isNil) ifTrue:
	[
		Instance _ super new.
	].
	^ Instance.! !

!Loader class methodsFor: 'as yet unclassified' stamp: 'dqn 11/7/2004 03:07'!
new
	"Stop creating Loader from outside"
	^ nil.! !
