ImageMorph subclass: #ColoredSpriteMorph
	instanceVariableNames: 'sourceColor destinationColor '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-View'!

!ColoredSpriteMorph methodsFor: 'as yet unclassified' stamp: 'VU 10/13/2004 00:36'!
destinationColor
  ^destinationColor! !

!ColoredSpriteMorph methodsFor: 'as yet unclassified' stamp: 'VU 10/13/2004 00:36'!
destinationColor: aColor
  destinationColor := aColor! !

!ColoredSpriteMorph methodsFor: 'as yet unclassified' stamp: 'VU 10/13/2004 01:34'!
image: anImage

  | img colors index |

  "Tell the ImageMorph to do its thing."
  super image: anImage.

  "Get my image:"
  img := self image.

  "Get my color palette:"
  colors := img colors.

  "Get the index of the source color in the palette:"
  index := colors indexOf: self sourceColor.

  "If the source color is present in the palette, replace it with destination color:"
  (index = 0)
    ifFalse: [ colors at: index put: self destinationColor. ].! !

!ColoredSpriteMorph methodsFor: 'as yet unclassified' stamp: 'VU 10/13/2004 00:48'!
initialize

  super initialize.

  sourceColor := Color fromString: '#FF00FF'.
  destinationColor := Color fromString: '#FF0000'.! !

!ColoredSpriteMorph methodsFor: 'as yet unclassified' stamp: 'VU 10/13/2004 00:36'!
sourceColor
  ^sourceColor! !

!ColoredSpriteMorph methodsFor: 'as yet unclassified' stamp: 'VU 10/13/2004 00:36'!
sourceColor: aColor
  sourceColor := aColor.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

ColoredSpriteMorph class
	instanceVariableNames: ''!

!ColoredSpriteMorph class methodsFor: 'as yet unclassified' stamp: 'VU 10/13/2004 00:29'!
new
  "Initialize the colors with default mapping pink->red"

  ^ super new initialize.! !
