Form subclass: #Frame
	instanceVariableNames: 'anchor '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-View'!

!Frame methodsFor: 'accessing' stamp: 'VU 10/18/2004 15:50'!
anchor
  "Returns the anchor"
  ^ anchor! !


!Frame methodsFor: 'modifying' stamp: 'VU 10/18/2004 16:06'!
anchor: aPoint
  "Sets a new anchor:"
  anchor := aPoint.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Frame class
	instanceVariableNames: ''!

!Frame class methodsFor: 'instance creation' stamp: 'VU 11/1/2004 14:18'!
frameOn: aForm bounds: aBox anchoredAt: aPoint
  "Creates a new frame using the form and an anchor point."

  | result |

  result := self extent: aBox extent depth: 32.
  result := aForm contentsOfArea: aBox into: result.

  result anchor: aPoint.

  ^ result.! !
