TwoWayScrollPane subclass: #MapMorph
	instanceVariableNames: 'location '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-View'!

!MapMorph methodsFor: 'accessing' stamp: 'VU 10/29/2004 19:16'!
locationGrid
  "Returns the location grid currently displayed in the morph."
  ^ location.! !


!MapMorph methodsFor: 'initialization' stamp: 'VU 10/29/2004 19:41'!
initialize
  "Initializes the map morph with a blank map and such."
  super initialize.

  "First, make myself look pretty:"
  self scroller color: Color gray.
  self extent: 640@480.

  "Now, make one of them maps:"
  location := LocationGrid new.
  location position: 0@0.
  location extent: 0@0.

  "Add the map to the morph:"
  self scroller addMorph: location.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

MapMorph class
	instanceVariableNames: ''!

!MapMorph class methodsFor: 'instance creation' stamp: 'VU 10/29/2004 19:17'!
new
  "This method ensures that the initialization occurs for the morph."
  ^ super new initialize.! !
