SystemWindow subclass: #SimTechWindow
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SimTech-View'!

!SimTechWindow methodsFor: 'initialization' stamp: 'VU 10/30/2004 21:11'!
initialize
  "Initializes the window"
  super initialize.
  self activeOnlyOnTop: true.
  self extent: 800@600.
  self position: 100@100.
  self paneColor: Color lightGray.! !


!SimTechWindow methodsFor: 'adding' stamp: 'VU 10/30/2004 21:51'!
addMorph: morph fullFrame: frame
  "We are overriding this method so that the alternative window looks doesn't screw up our own desired look for the game."
  | c |

  c := morph color.

  super addMorph: morph fullFrame: frame.

  morph color: c.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

SimTechWindow class
	instanceVariableNames: ''!

!SimTechWindow class methodsFor: 'instance creation' stamp: 'VU 10/30/2004 21:03'!
new
  "Creates a new SimTechWindow and initializes it as appropriate."
  ^ (super labelled: 'SimTech by OTIB OS') initialize.! !
