AbstractDialog subclass: #TextDialog
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Vladimir-Utilities'!

!TextDialog methodsFor: 'accessing' stamp: 'VU 11/7/2004 14:11'!
selectionInterval
	^ 1 to: response size
! !


!TextDialog methodsFor: 'private' stamp: 'VU 11/7/2004 14:44'!
privateGetContent
	"This function will return the morph that will provide the content for the user to type stuff in."

	| textPane |

	textPane _ PluggableTextMorph on: self
		text: #response
		accept: #response:
		readSelection: #selectionInterval
		menu: #codePaneMenu:shifted:.
	textPane extent: 200@60.
	textPane hResizing: #spaceFill; vResizing: #spaceFill.
	textPane borderWidth: 2.
	textPane hasUnacceptedEdits: true.
	textPane setNameTo: 'textPane'.

	^ textPane.! !

!TextDialog methodsFor: 'private' stamp: 'VU 11/7/2004 14:38'!
privateGetContentSelector
	"Will respond with the selector that needs to be called on the content morph to get the user slection from it."

	^ #accept.! !
